> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List all labels across repositories the user has access to.

> # Access control rules

- The requester must have access to at least one repository.



## OpenAPI

````yaml GET /api/v0/repositories/all-labels
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/repositories/all-labels:
    get:
      tags:
        - repositories
      summary: List all labels across repositories the user has access to.
      description: |-
        # Access control rules

        - The requester must have access to at least one repository.
      operationId: list_all_labels
      parameters:
        - name: repositories
          in: query
          description: Limit the labels to specific repositories.
          required: false
          schema:
            type:
              - array
              - 'null'
            items:
              type: string
              format: uuid
        - name: role
          in: query
          description: >-
            Limit the labels to repositories in which the user is a certain
            role.
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/RepositoryRole'
      responses:
        '200':
          description: List of labels
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindingLabelList'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    RepositoryRole:
      type: string
      description: Role of a user in the context of a repository.
      enum:
        - client
        - reviewer
        - judge
        - triager
        - admin
    FindingLabelList:
      type: object
      description: Label on a finding.
      required:
        - labels
      properties:
        labels:
          type: array
          items:
            $ref: '#/components/schemas/FindingLabel'
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    FindingLabel:
      type: object
      description: Label on a finding.
      required:
        - id
        - name
        - color
        - isSystem
        - reviewerRead
        - reviewerUse
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        color:
          $ref: '#/components/schemas/ColorLabel'
        isSystem:
          type: boolean
          description: |-
            Label is a system label, used in all repositories.
            All users can view this label.
        reviewerRead:
          type: boolean
          description: |-
            Reviewer can view the label when set on a finding.
            Note that admins, clients, judges and triagers can view all labels.
        reviewerUse:
          type: boolean
          description: >-
            Reviewer can set or remove the label from a finding.

            Note that admins, clients, judges and triagers can set and remove
            all

            labels.
        archivedAt:
          type:
            - string
            - 'null'
          format: date-time
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error
    ColorLabel:
      type: string
      description: The color of a label
      enum:
        - red
        - yellow
        - purple
        - violet
        - blue
        - green
        - grey

````